Bug 839074 - rebase thinkpad-acpi to 0.24
rebase thinkpad-acpi to 0.24
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 16:48 EDT by Gerrit Slomma
Modified: 2015-11-13 13:05 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-13 13:05:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerrit Slomma 2012-07-10 16:48:25 EDT
Description of problem:

thinkpad-acpi is too old to acknoledge Lenovo X121e and needs to be rebased to 0.24.

Version-Release number of selected component (if applicable):

kernel-2.6.32-279.el6.x86_64
thinkpad-acpi 0.23

How reproducible:

every time

Steps to Reproduce:
1. load newest kernel 2.6.32-279.el6.x86_64
2. watch for /proc/acpi/ibm/*
3. nothing there
  
Actual results:

Lenovo X121e is not supported by thinkpad-acpi of standard-kernel of rhel6

Expected results:

Lenovo X121e is supported by thinkpad-acpi of standard-kernel of rhel6

Additional info:

Lenovo X121e is supported by thinkpad-acpi of rhel6-rt-kernel 3.0.30-rt50.62.el6rt.x86_64 which in turn is of version 0.24

# modinfo /lib/modules/2.6.32-279.el6.x86_64/kernel/drivers/platform/x86/thinkpad_acpi.ko
filename:       /lib/modules/2.6.32-279.el6.x86_64/kernel/drivers/platform/x86/thinkpad_acpi.ko
license:        GPL
version:        0.23
description:    ThinkPad ACPI Extras
author:         Henrique de Moraes Holschuh <hmh@hmh.eng.br>
author:         Borislav Deianov <borislav@users.sf.net>
alias:          dmi:bvnIBM:bvrI[MU]ET??WW*
alias:          tpacpi
srcversion:     F3C981BF41D7594D97AB22E
alias:          acpi*:LEN0068:*
alias:          acpi*:IBM0068:*
depends:        rfkill
vermagic:       2.6.32-279.el6.x86_64 SMP mod_unload modversions 
parm:           experimental:Enables experimental features when non-zero (int)
parm:           debug:Sets debug level bit-mask (uint)
parm:           force_load:Attempts to load the driver even on a mis-identified ThinkPad when true (bool)
parm:           fan_control:Enables setting fan parameters features when true (bool)
parm:           brightness_mode:Selects brightness control strategy: 0=auto, 1=EC, 2=UCMS, 3=EC+NVRAM (uint)
parm:           brightness_enable:Enables backlight control when 1, disables when 0 (uint)
parm:           hotkey_report_mode:used for backwards compatibility with userspace, see documentation (uint)
parm:           hotkey:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           bluetooth:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           video:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           light:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           cmos:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           led:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           beep:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           ecdump:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           brightness:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           volume:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           fan:Simulates thinkpad-acpi procfs command at module load, see documentation



# modinfo /lib/modules/3.0.30-rt50.62.el6rt.x86_64/kernel/drivers/platform/x86/thinkpad_acpi.ko
filename:       /lib/modules/3.0.30-rt50.62.el6rt.x86_64/kernel/drivers/platform/x86/thinkpad_acpi.ko
license:        GPL
version:        0.24
description:    ThinkPad ACPI Extras
author:         Henrique de Moraes Holschuh <hmh@hmh.eng.br>
author:         Borislav Deianov <borislav@users.sf.net>
alias:          dmi:bvnIBM:bvrI[MU]ET??WW*
alias:          tpacpi
srcversion:     E5697322BAE32A73FAB54CA
alias:          acpi*:LEN0068:*
alias:          acpi*:IBM0068:*
depends:        snd,rfkill
vermagic:       3.0.30-rt50.62.el6rt.x86_64 SMP preempt mod_unload 
parm:           experimental:Enables experimental features when non-zero (int)
parm:           debug:Sets debug level bit-mask (uint)
parm:           force_load:Attempts to load the driver even on a mis-identified ThinkPad when true (bool)
parm:           fan_control:Enables setting fan parameters features when true (bool)
parm:           brightness_mode:Selects brightness control strategy: 0=auto, 1=EC, 2=UCMS, 3=EC+NVRAM (uint)
parm:           brightness_enable:Enables backlight control when 1, disables when 0 (uint)
parm:           hotkey_report_mode:used for backwards compatibility with userspace, see documentation (uint)
parm:           volume_mode:Selects volume control strategy: 0=auto, 1=EC, 2=N/A, 3=EC+NVRAM (uint)
parm:           volume_capabilities:Selects the mixer capabilites: 0=auto, 1=volume and mute, 2=mute only (uint)
parm:           volume_control:Enables software override for the console audio control when true (bool)
parm:           index:ALSA index for the ACPI EC Mixer (int)
parm:           id:ALSA id for the ACPI EC Mixer (charp)
parm:           enable:Enable the ALSA interface for the ACPI EC Mixer (bool)
parm:           hotkey:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           bluetooth:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           video:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           light:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           cmos:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           led:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           beep:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           brightness:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           volume:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           fan:Simulates thinkpad-acpi procfs command at module load, see documentation
Comment 2 RHEL Product and Program Management 2012-12-14 03:25:46 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Gerrit Slomma 2013-11-28 04:53:16 EST
As of newest RHEL6.5 kernel the problem still persists, thinkpad_acpi is even still the same srcversion:

# modinfo thinkpad_acpi
filename:       /lib/modules/2.6.32-431.el6.x86_64/kernel/drivers/platform/x86/thinkpad_acpi.ko
license:        GPL
version:        0.23
description:    ThinkPad ACPI Extras
author:         Henrique de Moraes Holschuh <hmh@hmh.eng.br>
author:         Borislav Deianov <borislav@users.sf.net>
alias:          dmi:bvnIBM:bvrI[MU]ET??WW*
alias:          tpacpi
srcversion:     F3C981BF41D7594D97AB22E
alias:          acpi*:LEN0068:*
alias:          acpi*:IBM0068:*
depends:        rfkill
vermagic:       2.6.32-431.el6.x86_64 SMP mod_unload modversions 
parm:           experimental:Enables experimental features when non-zero (int)
parm:           debug:Sets debug level bit-mask (uint)
parm:           force_load:Attempts to load the driver even on a mis-identified ThinkPad when true (bool)
parm:           fan_control:Enables setting fan parameters features when true (bool)
parm:           brightness_mode:Selects brightness control strategy: 0=auto, 1=EC, 2=UCMS, 3=EC+NVRAM (uint)
parm:           brightness_enable:Enables backlight control when 1, disables when 0 (uint)
parm:           hotkey_report_mode:used for backwards compatibility with userspace, see documentation (uint)
parm:           hotkey:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           bluetooth:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           video:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           light:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           cmos:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           led:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           beep:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           ecdump:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           brightness:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           volume:Simulates thinkpad-acpi procfs command at module load, see documentation
parm:           fan:Simulates thinkpad-acpi procfs command at module load, see documentation
Comment 4 John Shortt 2015-11-13 13:05:30 EST
Closing due to lack of attention or information. If you believe this request is still valid, feel free to open a new BZ against the latest version of RHEL6.

Thanks

Note You need to log in before you can comment on or make changes to this bug.